Name: netpbm
Version: 10.26.4
Release: alt1

# for maintainer:
# http_proxy= rpm -bi --enable update_docs ~/RPM/SPECS/netpbm.spec
%def_disable update_docs

Summary: Tools for manipulating graphics files in netpbm supported formats
License: GPL
Group: Graphics

URL: http://netpbm.sourceforge.net/
Source0: %name-%version.tar.bz2
Source1: %name-html-docs-20050306.tar.bz2

Requires: lib%name = %version-%release

# Automatically added by buildreq on Sun Mar 06 2005
BuildRequires: flex libjbig-devel libjpeg-devel libpng-devel libtiff-devel zlib-devel

# for manual pages
BuildRequires: %_bindir/html2pod

%package -n lib%name
Summary: A library for handling different graphics file formats
Group: System/Libraries

%package -n lib%name-devel
Summary: Development tools for programs which will use the netpbm libraries
Group: Development/C
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Static netpbm libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description
The netpbm package contains programs for handling various graphics file
formats, including .pbm (portable bitmaps), .pgm (portable graymaps),
.pnm (portable anymaps), .ppm (portable pixmaps) and others.

%description -n lib%name
This package contains a library of functions which support programs for
handling various graphics file formats, including .pbm (portable bitmaps),
.pgm (portable graymaps), .pnm (portable anymaps), .ppm (portable pixmaps)
and others.

%description -n lib%name-devel
This package contains the header files and programmer's documentation
for developing programs which can handle the various graphics file
formats supported by the netpbm libraries.

%description -n lib%name-devel-static
This package contains the static libraries for developing statically linked
programs which can handle the various graphics file formats supported by
the netpbm libraries.

%prep
%setup -q -a1

# rename shhopt.h to pbmshhopt.h to avoid namespace conflicts
%__mv lib/util/{,pbm}shhopt.h
find -type f \( -name '*.[chl]' -o -iname '*makefile*' \) -print0 |
	xargs -r0 %__grep -FZl shhopt.h -- |
	xargs -r0 %__subst -p 's/\<shhopt\.h/pbm&/g' --

# relocate /usr/link to %_libdir; NB: x86_64 uses /lib64
%__subst -p 's,(PKGDIR)/lib,(PKGDIR)/%_lib,g' lib/Makefile
%__subst -p 's,(PKGDIR)/link,(PKGDIR)/%_lib,g' lib/Makefile
%__subst -p 's,\.\./lib/lib%name,lib%name,g' lib/Makefile

%build
%__cp -av Makefile.config{.in,}
%__cat <<__EOF__ >lib/compile.h
#define COMPILE_TIME "$(LC_TIME=C date '+%a %b %d %Y')"
#define COMPILED_BY "%vendor"
__EOF__

# use system-wide jbig library
%__rm -fv converter/other/jbig/{jbig.c,jbig_tab.c,jbig.h}

# SMP incompatible
%make CC=gcc CFLAGS='%optflags' CFLAGS_SHLIB='%optflags_shared' \
	TIFFLIB=libtiff.so JPEGLIB=libjpeg.so PNGLIB=libpng.so ZLIB=libz.so \
	JBIGLIB=%_libdir/libjbig.so \
	#

%install

# {{{	makerealman script (replacement for buildtools/makepointerman)

%__mkdir_p pod
%__cat <<\__EOF__ >buildtools/makerealman
#!/bin/sh -ex
NAME="$1"; MANDIR="$3"; SECTION="$4"
HTML="netpbm.sourceforge.net/doc/$NAME.html"
%if_enabled update_docs
if ! wget --timestamping --force-directories "http://$HTML"
%else
if [ ! -f "$HTML" ]
%endif
then
	echo "warning: HTML doc for $NAME not available" >&2
	exit 0
fi
%__perl -ne 's/>GENERAL</>DESCRIPTION</g;			#\
	s{<a name=[^>]*>(.+?)</a>}{$1}gi;			#\
	s{<\?makeman\s+\.\S+\s*(.+?)\s*\?>}{<H1>$1</H1>}g;	#\
	s{<\?makeman\s+(.+?)\s*\?>}{<p>$1</p>}g && s/\\//g;	#\
	s{<[hH][12][^>]*>([A-Z ]+)</[hH][12]>}{<H1>$1</H1>}g;	#\
	$in = 1 if /^<[hH][12][^>]*>(NAME|SYNOPSIS)/;		#\
	last if /^<hr\b|table of contents/i and $in;		#\
	print "<p>" and next if /<p>This program is part of/i;	#\
	print if $in;' "$HTML" >"pod/$NAME.html"
%_bindir/html2pod "pod/$NAME.html" >"pod/$NAME.pod"
%_bindir/pod2man --section="$SECTION" --name="$NAME" --center="%name-%version" \
	"pod/$NAME.pod" >"$MANDIR/$NAME.$SECTION"
__EOF__

%__cat <<__EOF__ >buildtools/makepointerman
#!%__perl
chdir "$PWD";
exec "buildtools/makerealman" => @ARGV;
__EOF__

%__chmod +x buildtools/make{real,pointer}man

# }}}

%__mkdir_p %buildroot
%make_install package pkgdir=%buildroot%_prefix STRIPFLAG= \
	TIFFLIB=libtiff.so JPEGLIB=libjpeg.so PNGLIB=libpng.so ZLIB=libz.so \
	JBIGLIB=%_libdir/libjbig.so \
	#
%__mkdir_p %buildroot%_mandir
%__mv %buildroot{%_prefix/man/*,%_mandir}
%__mv %buildroot{%_prefix/misc,%_datadir/%name}

%define pkgdocdir %_docdir/%name-%version
%__mkdir_p %buildroot%pkgdocdir
%__mv %buildroot{%_prefix/[A-Z]*,%pkgdocdir}
%__cp -a doc/{HISTORY,COPYRIGHT.PATENT,copyright_summary,Netpbm.programming} \
	README %buildroot%pkgdocdir

%if_enabled update_docs
# our /bin/sh is unable to handle <(...) process substitution
%define _buildshell /bin/bash
DATE=`date +%Y%m%d`
%__tar cf - netpbm.sourceforge.net/doc/*.html | bzip2 > %name-html-docs-$DATE.tar.bz2
diff -u <(%__tar jtfv %SOURCE1 |sort -k6) <(%__tar jtfv %name-html-docs-$DATE.tar.bz2 |sort -k6)
%endif

# manweb sucks
%__rm -fv %buildroot{%_bindir,%_man1dir}/manweb* %buildroot%_bindir/doc.url

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/lib%name.so.?*
%dir %pkgdocdir
%pkgdocdir/copyright_summary
%pkgdocdir/COPYRIGHT.PATENT
%pkgdocdir/README

%files -n lib%name-devel
%_libdir/lib%name.so
%_includedir/*.h
%_man3dir/*.*
%dir %pkgdocdir
%pkgdocdir/Netpbm.programming

%files
%_bindir/*
%_man1dir/*.*
%_man5dir/*.*
%_datadir/%name/
%dir %pkgdocdir
%pkgdocdir/HISTORY

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib%name.a
%endif

%changelog
* Sun Mar 06 2005 Alexey Tourbin <at@altlinux.ru> 10.26.4-alt1
- 10.26 -> 10.26.4
- fixed directory layout for x86_64
- updated docs; improved generation of manual pages
- manweb not packaged

* Mon Jan 24 2005 Alexey Tourbin <at@altlinux.ru> 10.26-alt1
- 10.25 -> 10.26
  + alt-sh-syntax.patch merged upstream
  + alt-fix-usage.patch merged upstream
- updated docs

* Fri Oct 22 2004 Alexey Tourbin <at@altlinux.ru> 10.25-alt1
- 10.24 -> 10.25
- updated docs

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 10.24-alt1.1.1
- Rebuilt with libtiff.so.4.

* Tue Sep 07 2004 Alexey Tourbin <at@altlinux.ru> 10.24-alt1.1
- disabled SMP build

* Wed Aug 25 2004 Alexey Tourbin <at@altlinux.ru> 10.24-alt1
- 10.20 -> 10.24
- build with system-wide libjbig
- build real man pages from HTML pages (a copy of netpbm web site)
  by replacing buildtools/makepointerman script (requires html2pod)
- fixed jbigtopnm and pnmtojbig usage output
- dropped printconf stuff

* Thu Mar 25 2004 Alexey Tourbin <at@altlinux.ru> 10.20-alt1
- 9.24 -> 10.20, major revision
- old patches dropped; sh-syntax.patch: fixed missing `fi'
- reworked %%build and %%install; buildtools/ avoided whenever possible
- lib%name-devel-static not packaged by default; librle.a not packaged
- #define COMPILED_BY "%vendor"

* Thu Feb 12 2004 Alexey Tourbin <at@altlinux.ru> 9.24-alt4
- deb-tmp.patch: secure temporary files (CAN-2003-0924)

* Thu Oct 30 2003 Dmitry V. Levin <ldv@altlinux.org> 9.24-alt3
- Specfile cleanup.
- Removed %_bindir/pcdindex (never worked anyway).
- Reenabled standard dependencies calculation method.

* Thu Oct 30 2003 AEN <aen@altlinux.ru> 9.24-alt2
- patch #3 from RH

* Mon Feb 10 2003 AEN <aen@altlinux.ru> 9.24-alt1
- 9.24
- spec changed, thnx to MDK & RH
- security patch (#4)

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 9.10-alt4
- rebuilt with gcc-3.2

* Thu Oct 11 2001 AEN <aen@logic.ru> 9.10-alt3
- rebuilt with libpng.so.3

* Fri Aug 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 9.10-alt2
- Specfile cleanup (still requires more cleanup).
- Fixed pnmindex script syntax.

* Thu Aug 16 2001 AEN <aen@logic.ru> 9.10-alt1
- first build for Sisyphus
- static package

* Wed Aug 08 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-4mdk
- added a builrequires to zlib-devel (Buchan Milne <bgmilne@cae.co.za>)
- corrected the 4 no-ldconfig-symlink errors (thx titi)

* Fri Jul 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 9.10-3mdk
- added missing obsoletes on libgr1-progs

* Fri Jul 27 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-2mdk
- added patch2 to fix bad include netpbm-shhopt.h
- added provides libgr

* Tue Jul 24 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-1mdk
- first MandrakeSoft package (stolen from d3bi4n and PLD)
    Obsoletes libgr libgr-progs libgr-devel
